## org.eclipse.emf.ecore
Class EOperation.Internal.InvocationDelegate.Factory.Registry.Impl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.lang.Object>
              org.eclipse.emf.ecore.EOperation.Internal.InvocationDelegate.Factory.Registry.Impl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>, EOperation.Internal.InvocationDelegate.Factory.Registry

Enclosing interface:
  EOperation.Internal.InvocationDelegate.Factory.Registry

    public static class EOperation.Internal.InvocationDelegate.Factory.Registry.Impl

extends java.util.HashMap<java.lang.String,java.lang.Object>
implements EOperation.Internal.InvocationDelegate.Factory.Registry

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EOperation.Internal.InvocationDelegate.Factory.Registry
`EOperation.Internal.InvocationDelegate.Factory.Registry.Impl`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.EOperation.Internal.InvocationDelegate.Factory.Registry
`INSTANCE`

Constructor Summary
`EOperation.Internal.InvocationDelegate.Factory.Registry.Impl()`

Method Summary
`java.lang.Object` `get(java.lang.Object key)`
`EOperation.Internal.InvocationDelegate.Factory` `getFactory(java.lang.String uri)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### EOperation.Internal.InvocationDelegate.Factory.Registry.Impl

    public EOperation.Internal.InvocationDelegate.Factory.Registry.Impl()

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<java.lang.String,java.lang.Object>`
  Overrides:
    `get` in class `java.util.HashMap<java.lang.String,java.lang.Object>`

### getFactory

    public EOperation.Internal.InvocationDelegate.Factory getFactory(java.lang.String uri)

  Specified by:
    `getFactory` in interface `EOperation.Internal.InvocationDelegate.Factory.Registry`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.